package de.tudresden.inf.mci.brailleplot.printabledata;

import de.tudresden.inf.mci.brailleplot.configparser.Printer;
import de.tudresden.inf.mci.brailleplot.configparser.Format;

/**
 * Top interface for all data types that describe data ready for printing.
 * These data containers are generated by the rasterizer and later on processed by the printer backend.
 * @author Georg Graßnick
 * @version 2019.06.26
 */
public interface PrintableData {

   /**
    * Getter for the Printer Configuration, that was used to generate this data representation in the rasterizer.
    * @return The associated Printer Configuration
    */
   Printer getPrinterConfig();

   /**
    * Getter for the Format Configuration, that was used to generate this data representation in the rasterizer.
    * @return The associated Format Configuration
    */
   Format getFormatConfig();

}
